<?php
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

require_once( $mainframe->getPath( 'admin_html' ) );
require_once( $mainframe->getPath( 'class' ) );

$cid = mosGetParam($_REQUEST, 'cid', array());

switch ( $act )
{
	case "info":
	showInformation($option);
	break;
	
	default:	
	switch($task)
	{
		case "orderup":
		orderClip( $cid[0], -1, $option );
		break;

		case "orderdown":
		orderClip( $cid[0], 1, $option );
		break;
		
		case "delete":
		deleteClips($option, $cid);
		break;

		case "save":
		saveClip($option);		
		break;
		
		case "new":
		editClip($option, 0);
		break;
		
		case "edit":
		editClip($option, $cid[0]);
		break;
		
		default:
		listClips($option);
		break;
	}
	break;
}

function showInformation($option)
{
	mp3Player_HTML::showInformation($option);
}

function deleteClips($option, $cid)
{
	global $database;
	
	$clips = join(",", $cid);
	
	$database->SetQuery("DELETE FROM #__mp3player WHERE mp3_id IN ($clips)");
	$database->Query();
	
	$s = "";	
	if(count($cid) > 1) $s = "s";
	
	mosRedirect("index2.php?option=$option", "Playlist item$s deleted.");
}

function saveClip($option)
{


	global $database;
  $showdisplay		= "images/stories/kalender/";
  $showplaylist		= "yes";
  $autostart		= "yes";
  $playlistfile		= "modules/mod_mp3player_files/playlist.xml";
  $width			= "500";
  $height			= "400";
  createPlaylist($playlistfile, $showdisplay, $showplaylist, $autostart, $playlistfile, $width, $height);	
	
	
	$row = new mp3Player($database);
	
	// bind it to the table
	if (!$row -> bind($_POST)) {
		echo "<script> alert('"
			.$row -> getError()
			."'); window.history.go(-1); </script>\n";
		exit();
	}

	// store it in the db
	if (!$row -> store()) {
		echo "<script> alert('"
			.$row -> getError()
			."'); window.history.go(-1); </script>\n";
		exit();	
	}
	
	$row->updateOrder();

  createPlaylist($playlistfile, $showdisplay, $showplaylist, $autostart, $playlistfile, $width, $height);
	
	mosRedirect("index2.php?option=$option", "Liste des MP3 sauvegarde.");
	
	
}

function editClip($option, $id)
{
	global $database;
	
	$row = null;
	
	$database->SetQuery("SELECT * FROM #__mp3player WHERE mp3_id = '$id'");
	$database->loadObject($row);
	
	mp3Player_HTML::editClip($option, $row);
}

function orderClip( $id, $inc, $option ) {
	global $database;

	$row = new mp3Player( $database );
	$row->load( $id );
	$row->move( $inc, "" );

	mosRedirect( 'index2.php?option='. $option);
}


function listClips($option)
{
	global $database, $mainframe, $mosConfig_absolute_path;
	require_once( $mosConfig_absolute_path . '/administrator/includes/pageNavigation.php' );
	

	$limit 	= $mainframe->getUserStateFromRequest( "viewlistlimit", 'limit', $mosConfig_list_limit );
	$limitstart	= $mainframe->getUserStateFromRequest( "view{$option}{$sectionid}limitstart", 'limitstart', 0 );
	
	$database->SetQuery("SELECT * FROM #__mp3player ORDER BY ordering");
	$rows = $database->loadObjectList();
		
	$pageNav = new mosPageNav( count($rows), $limitstart, $limit );
		
	mp3Player_HTML::listClips($option, $rows, $pageNav);
}

function createPlaylist($file, $showdisplay, $showplaylist, $autostart, $playlistfile, $width, $height)
{
	global $database, $mosConfig_absolute_path;
	$database->SetQuery("SELECT * FROM #__mp3player ORDER BY ordering");
	$rows = $database->loadObjectList();
	
	$playlist = "<?phpxml version=\"1.0\" encoding=\"UTF-8\"?>\n";
	$playlist .= "<playlist version=\"1\" xmlns=\"http://xspf.org/ns/0/\">\n";
	$playlist .= "<info>http://www.sensikiller.fr</info>\n";
	$playlist .= "<trackList>\n";
	
	foreach($rows as $row)
	{
		$playlist .= "<track>\n";
		$playlist .= "<annotation>".$row->mp3_title."</annotation>\n";
		$playlist .= "<location>".$row->mp3_filename."</location>\n";
		$playlist .= "<info>".$row->mp3_info."</info>\n";
		$playlist .= "<image>".$row->mp3_image."</image>\n";
		$playlist .= "</track>\n";
		
	}
	$playlist .= "</playlist>";
	$thefile = fopen($mosConfig_absolute_path . "/" . $file, "w");
	fwrite($thefile, $playlist);
	fclose($thefile);
}

?>